CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Orthodox< ClassUnderTest > Class Template Reference

`#include <Orthodox.h>`

Inheritance diagram for Orthodox< ClassUnderTest >:

## Public Member Functions

| Orthodox ()
Public Member Functions inherited from TestCase
| TestCase (const std::string &name)
| Constructs a test case. More...
| TestCase ()
| Constructs a test case for a suite. More...
| ~TestCase ()
| Destructs a test case. More...
virtual void | run (TestResult *result)
| Run the test and catch any exceptions that are triggered by it. More...
std::string | getName () const
| Returns the name of the test case. More...
Public Member Functions inherited from TestLeaf
int | countTestCases () const
int | getChildTestCount () const
Test * | doGetChildTestAt (int index) const
Public Member Functions inherited from Test
virtual | ~Test ()
virtual Test * | getChildTestAt (int index) const
| Returns the child test of the specified index. More...
virtual bool | findTestPath (const std::string &testName, TestPath &testPath) const
| Finds the test with the specified name and its parents test. More...
virtual bool | findTestPath (const Test *test, TestPath &testPath) const
| Finds the specified test and its parents test. More...
virtual Test * | findTest (const std::string &testName) const
| Finds the test with the specified name in the hierarchy. More...
virtual TestPath | resolveTestPath (const std::string &testPath) const
| Resolved the specified test path with this test acting as 'root'. More...
Public Member Functions inherited from TestFixture
virtual | ~TestFixture ()
virtual void | setUp ()
| Set up context before running a test. More...
virtual void | tearDown ()
| Clean up after the test run. More...

## Protected Member Functions

ClassUnderTest | call (ClassUnderTest object)
void | runTest ()
| FIXME: this should probably be pure virtual. More...
Protected Member Functions inherited from Test
virtual void | checkIsValidIndex (int index) const

## Constructor & Destructor Documentation

template<class ClassUnderTest >

Orthodox< ClassUnderTest >::Orthodox | ( |  | ) |

inline

## Member Function Documentation

template<class ClassUnderTest >

ClassUnderTest Orthodox< ClassUnderTest >::call | ( | ClassUnderTest | object | ) |

protected

template<class ClassUnderTest >

void Orthodox< ClassUnderTest >::runTest | ( |  | ) |

protected virtual

FIXME: this should probably be pure virtual.

All the work for runTest is deferred to subclasses.

Reimplemented from TestCase.

The documentation for this class was generated from the following file:

- Orthodox.h

| Send comments to: CppUnit Developers